- Qt 5.5
- Qt3D Module
- C++ Classes
- QAbstractAttribute
- Qt 5.5.1 Reference Documentation

# QAbstractAttribute Class

(Qt3D::QAbstractAttribute)

Inherits: | QNode

- List of all members, including inherited members

## Public Types

enum | AttributeType { VertexAttribute, IndexAttribute }
enum | DataType { Byte, UnsignedByte, Short, UnsignedShort, ..., Double }

## Properties

attributeType : AttributeType buffer : Qt3D::QAbstractBuffer * byteOffset : uint byteStride : uint count : uint | dataSize : uint dataType : DataType divisor : uint name : QString

- 1 property inherited from Qt3D::QNode

## Public Functions

| QAbstractAttribute(QNode * parent = 0)
| QAbstractAttribute(QAbstractBuffer * buf, DataType dataType, uint dataSize, uint count, uint offset = 0, uint stride = 0, QNode * parent = 0)
| ~QAbstractAttribute()
virtual QVector<QVector2D> | asVector2D() const = 0
virtual QVector<QVector3D> | asVector3D() const = 0
virtual QVector<QVector4D> | asVector4D() const = 0
AttributeType | attributeType() const
QAbstractBuffer * | buffer() const
uint | byteOffset() const
uint | byteStride() const
uint | count() const
uint | dataSize() const
DataType | dataType() const
uint | divisor() const
virtual void | dump(int count) = 0
QString | name() const
void | setAttributeType(AttributeType attributeType)
void | setBuffer(QAbstractBuffer * buffer)
void | setByteOffset(uint byteOffset)
void | setByteStride(uint byteStride)
void | setCount(uint count)
void | setDataSize(uint size)
void | setDataType(DataType type)
void | setDivisor(uint divisor)
void | setName(const QString & name)

- 6 public functions inherited from Qt3D::QNode

## Signals

void | attributeTypeChanged()
void | bufferChanged()
void | byteOffsetChanged()
void | byteStrideChanged()
void | countChanged()
void | dataSizeChanged()
void | dataTypeChanged()
void | divisorChanged()
void | nameChanged()

- 1 signal inherited from Qt3D::QNode

## Protected Functions

| QAbstractAttribute(QAbstractAttributePrivate & dd, QNode * parent = 0)
| QAbstractAttribute(QAbstractAttributePrivate & dd, QAbstractBuffer * buf, const QString & name, DataType dataType, uint dataSize, uint count, uint offset = 0, uint stride = 0, QNode * parent = 0)

## Reimplemented Protected Functions

virtual void | copy(const QNode * ref)

- 3 protected functions inherited from Qt3D::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3D::QNode

## Member Type Documentation

### enum QAbstractAttribute::AttributeType

### enum QAbstractAttribute::DataType

## Property Documentation

### attributeType : AttributeType

Access functions:

AttributeType | attributeType() const
void | setAttributeType(AttributeType attributeType)

Notifier signal:

void | attributeTypeChanged()

### buffer : Qt3D::QAbstractBuffer *

Access functions:

QAbstractBuffer * | buffer() const
void | setBuffer(QAbstractBuffer * buffer)

Notifier signal:

void | bufferChanged()

### byteOffset : uint

Access functions:

uint | byteOffset() const
void | setByteOffset(uint byteOffset)

Notifier signal:

void | byteOffsetChanged()

### byteStride : uint

Access functions:

uint | byteStride() const
void | setByteStride(uint byteStride)

Notifier signal:

void | byteStrideChanged()

### count : uint

Access functions:

uint | count() const
void | setCount(uint count)

Notifier signal:

void | countChanged()

### dataSize : uint

Access functions:

uint | dataSize() const
void | setDataSize(uint size)

Notifier signal:

void | dataSizeChanged()

### dataType : DataType

Access functions:

DataType | dataType() const
void | setDataType(DataType type)

Notifier signal:

void | dataTypeChanged()

### divisor : uint

Access functions:

uint | divisor() const
void | setDivisor(uint divisor)

Notifier signal:

void | divisorChanged()

### name : QString

Access functions:

QString | name() const
void | setName(const QString & name)

Notifier signal:

void | nameChanged()

## Member Function Documentation

### QAbstractAttribute::QAbstractAttribute(QNode * parent = 0)

### QAbstractAttribute::QAbstractAttribute(QAbstractBuffer * buf, DataType dataType, uint dataSize, uint count, uint offset = 0, uint stride = 0, QNode * parent = 0)

### `[protected]` QAbstractAttribute::QAbstractAttribute(QAbstractAttributePrivate & dd, QNode * parent = 0)

### `[protected]` QAbstractAttribute::QAbstractAttribute(QAbstractAttributePrivate & dd, QAbstractBuffer * buf, const QString & name, DataType dataType, uint dataSize, uint count, uint offset = 0, uint stride = 0, QNode * parent = 0)

### QAbstractAttribute::~QAbstractAttribute()

### `[pure virtual]` QVector<QVector2D> QAbstractAttribute::asVector2D() const

### `[pure virtual]` QVector<QVector3D> QAbstractAttribute::asVector3D() const

### `[pure virtual]` QVector<QVector4D> QAbstractAttribute::asVector4D() const

### `[virtual protected]` void QAbstractAttribute::copy(const QNode * ref)

### `[pure virtual]` void QAbstractAttribute::dump(int count)